%define short_name	wss4j
%define name		ws-fx-%{short_name}
%define version		1.0
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Web Services Security Implementation
License:	Apache Software License 2.0
Url:		http://ws.apache.org/ws-fx/wss4j/
Group:		Text Processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	ws-fx-wss4j-1.0-src.tar.gz
##cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
##cvs -z3 -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r HEAD ws-fx/wss4j/

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        ws-fx-wss4j-1.0-jpp-depmap.xml
# postpone systemTests: they need a functional external site
Patch0:		ws-fx-wss4j-1.0-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	junit
BuildRequires:	bouncycastle-jdk1.4
BuildRequires:	ws-fx-addressing
BuildRequires:	axis >= 0:1.2
BuildRequires:	wsdl4j >= 0:1.5
BuildRequires:	jakarta-commons-codec
BuildRequires:	jakarta-commons-discovery
BuildRequires:	jakarta-commons-httpclient3
BuildRequires:	jakarta-commons-logging
BuildRequires:	log4j
BuildRequires:	opensaml-java
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2-dom3
BuildRequires:	xml-security
Requires:	axis >= 0:1.2
Requires:	wsdl4j >= 0:1.5
Requires:	jakarta-commons-discovery
Requires:	jakarta-commons-logging
Requires:	xerces-j2-dom3
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Apache WSS4J is an implementation of the OASIS Web Services 
Security (WS-Security) from OASIS Web Services Security TC. 
WSS4J is a primarily a Java library that can be used to sign 
and verify SOAP Messages with WS-Security information. WSS4J 
will use Apache Axis and Apache XML-Security projects and 
will be interoperable with JAX-RPC based server/clients 
and .NET server/clients. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
# remove all binary libs
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done
# postpone systemTests: they need a functional external site
%patch0 -b .sav

%build
build-jar-repository -s -p endorsed \
dom3-xerces-j2 \
dom3-xml-commons-apis \


build-jar-repository -s -p lib \
addressing \
axis/axis \
axis/axis-ant \
axis/jaxrpc \
axis/saaj \
wsdl4j \
commons-codec \
commons-discovery \
commons-httpclient3 \
commons-logging \
bouncycastle/bcprov \
junit \
log4j \
opensaml-java \
jaf \
javamail \
xalan-j2 \
xml-security \


ant jars javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{short_name}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unprefixed and unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
ln -sf %{name}-%{version}.jar %{short_name}-%{version}.jar
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/html/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- First JPackage release
- Needs dom3-xerces-j2 libs
